de.esprit.appsuite.winregistry

## Class WindowsRegistryNode

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.winregistry.WindowsRegistryNode

- All Implemented Interfaces:
    Dumpable, javax.swing.tree.TreeNode
  Direct Known Subclasses:
    WindowsRegistryChildNode, WindowsRegistryHiveNode, WindowsRegistryRootNode

      public abstract class WindowsRegistryNode
      extends DumpableObject
      implements javax.swing.tree.TreeNode

  This class models a node of the windows registry. It's subclasses define the actual node types which are a root-node, hive-node or child-node.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WindowsRegistryNode(WindowsRegistryNode parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Enumeration<WindowsRegistryNode>` | `children()`
    `static WindowsRegistryNode` | `createHiveNode(WindowsRegistryHive hive)`
    `static WindowsRegistryNode` | `createNode(WindowsRegistryHive hive, java.lang.String path)`
    `static WindowsRegistryRootNode` | `createRootNode()`
    `java.lang.String` | `getAbsolutePath()`
    `boolean` | `getAllowsChildren()`
    `WindowsRegistryNode` | `getChildAt(int childIndex)`
    `WindowsRegistryNode` | `getChildByName(java.lang.String childName)`
    `int` | `getChildCount()`
    `java.util.List<WindowsRegistryNode>` | `getChildList()`
    `abstract java.lang.String` | `getFullPath()`
    `abstract WindowsRegistryHive` | `getHive()`
    `int` | `getIndex(javax.swing.tree.TreeNode node)`
    `abstract java.lang.String` | `getName()`
    `WindowsRegistryNode` | `getParent()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `java.lang.String` | `getPropertyValue(java.lang.String propertyKey)`
    `void` | `invalidate()`
    `protected boolean` | `isHive()`
    `boolean` | `isLeaf()`
    `protected boolean` | `isRoot()`
    `protected java.util.List<WindowsRegistryNode>` | `retrieveChildNodes()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsRegistryNode

          protected WindowsRegistryNode(WindowsRegistryNode parent)

  - ### Method Detail

    - #### getParent

          public final WindowsRegistryNode getParent()

      Specified by:
        `getParent` in interface `javax.swing.tree.TreeNode`

    - #### getAbsolutePath

          public final java.lang.String getAbsolutePath()

    - #### getFullPath

          public abstract java.lang.String getFullPath()

    - #### getName

          public abstract java.lang.String getName()

    - #### getHive

          public abstract WindowsRegistryHive getHive()

    - #### getChildAt

          public final WindowsRegistryNode getChildAt(int childIndex)

      Specified by:
        `getChildAt` in interface `javax.swing.tree.TreeNode`

    - #### getChildCount

          public final int getChildCount()

      Specified by:
        `getChildCount` in interface `javax.swing.tree.TreeNode`

    - #### getIndex

          public final int getIndex(javax.swing.tree.TreeNode node)

      Specified by:
        `getIndex` in interface `javax.swing.tree.TreeNode`

    - #### getAllowsChildren

          public final boolean getAllowsChildren()

      Specified by:
        `getAllowsChildren` in interface `javax.swing.tree.TreeNode`

    - #### isLeaf

          public final boolean isLeaf()

      Specified by:
        `isLeaf` in interface `javax.swing.tree.TreeNode`

    - #### isRoot

          protected final boolean isRoot()

    - #### isHive

          protected final boolean isHive()

    - #### children

          public final java.util.Enumeration<WindowsRegistryNode> children()

      Specified by:
        `children` in interface `javax.swing.tree.TreeNode`

    - #### invalidate

          public void invalidate()

    - #### getChildByName

          public final WindowsRegistryNode getChildByName(java.lang.String childName)
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getChildList

          public final java.util.List<WindowsRegistryNode> getChildList()
                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.String> getProperties()
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPropertyValue

          public final java.lang.String getPropertyValue(java.lang.String propertyKey)
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### retrieveChildNodes

          protected java.util.List<WindowsRegistryNode> retrieveChildNodes()
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### createRootNode

          public static WindowsRegistryRootNode createRootNode()

    - #### createHiveNode

          public static WindowsRegistryNode createHiveNode(WindowsRegistryHive hive)
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createNode

          public static WindowsRegistryNode createNode(WindowsRegistryHive hive,
                                       java.lang.String path)
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.